RFR: (s) 8130696: Security Providers need to have their version numbers updated for JDK 9

Bradford Wetmore bradford.wetmore at oracle.com
Fri Jul 10 20:27:46 UTC 2015


I had done a preliminary review earlier, and the current changes look good.

Brad


On 7/7/2015 10:48 AM, Iris Clark wrote:
> Hi.
>
> Please review changes to resolve the following bug:
>
> 8130696: Security Providers need to have their version numbers updated
> for JDK 9 (Verona)
>
> Bug: https://bugs.openjdk.java.net/browse/JDK-8130696
>
> Changeset:  http://cr.openjdk.java.net/~iris/verona/8130696/webrev
>
> The constructor invocation for every Provider implementation contains a
> hard-coded value for the version, "1.9d", which it compares to
> java.specification.version.  Verona [0,1] changes the system property
> from "1.9" to "9".  The provider’s version should be changed to “9.0d”.
>
> Many regression tests in the jdk repository fail due to this bug.  Test
> groups with failing tests detecting this problem include jdk_security,
> jdk_management, jdk_jmx, and jdk_net.  These tests now pass.  I have
> verified that all providers modified by 8030823 [2] have been updated.
>
> After review, the changeset will be pushed to verona/stage [3]. The
> changeset will go to jdk9/dev when Verona is complete later this summer.
>
> Thanks,
>
> Iris
>
> [0] http://openjdk.java.net/projects/verona
>
> [1] http://openjdk.java.net/jeps/223
>
> [2] http://hg.openjdk.java.net/jdk9/jdk9/jdk/rev/f1066af06fa0
>
> [3] http://hg.openjdk.java.net/verona/stage
>


More information about the security-dev mailing list